///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class RequestToJoinData {
/*
{
  "avatarUrl": "string",
  "userUuid": "string",
  "phone": "string",
  "fullName": "string",
  "communityId": 0,
  "status": "ACTIVE",
  "requestDate": 0,
  "inviterUserUuid": "string",
  "actionType": "MEMBER_REQUEST"
} 
*/

  String? avatarUrl;
  String? userUuid;
  String? phone;
  String? fullName;
  int? communityId;
  String? status;
  int? requestDate;
  String? inviterUserUuid;
  String? actionType;

  RequestToJoinData({
    this.avatarUrl,
    this.userUuid,
    this.phone,
    this.fullName,
    this.communityId,
    this.status,
    this.requestDate,
    this.inviterUserUuid,
    this.actionType,
  });
  RequestToJoinData.fromJson(Map<String, dynamic> json) {
    avatarUrl = json['avatarUrl']?.toString();
    userUuid = json['userUuid']?.toString();
    phone = json['phone']?.toString();
    fullName = json['fullName']?.toString();
    communityId = json['communityId']?.toInt();
    status = json['status']?.toString();
    requestDate = json['requestDate']?.toInt();
    inviterUserUuid = json['inviterUserUuid']?.toString();
    actionType = json['actionType']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['avatarUrl'] = avatarUrl;
    data['userUuid'] = userUuid;
    data['phone'] = phone;
    data['fullName'] = fullName;
    data['communityId'] = communityId;
    data['status'] = status;
    data['requestDate'] = requestDate;
    data['inviterUserUuid'] = inviterUserUuid;
    data['actionType'] = actionType;
    return data;
  }
}

class RequestToJoin {
/*
{
  "total": 0,
  "data": [
    {
      "avatarUrl": "string",
      "userUuid": "string",
      "phone": "string",
      "fullName": "string",
      "communityId": 0,
      "status": "ACTIVE",
      "requestDate": 0,
      "inviterUserUuid": "string",
      "actionType": "MEMBER_REQUEST"
    }
  ]
} 
*/

  int? total;
  List<RequestToJoinData?>? data;

  RequestToJoin({
    this.total,
    this.data,
  });
  RequestToJoin.fromJson(Map<String, dynamic> json) {
    total = json['total']?.toInt();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <RequestToJoinData>[];
      v.forEach((v) {
        arr0.add(RequestToJoinData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['total'] = total;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}
